Bug 146026 - Recurse problem with setfacl
Recurse problem with setfacl
Product: Fedora
Classification: Fedora
Component: acl (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
  Show dependency treegraph
Reported: 2005-01-24 14:52 EST by Jeff Means
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-05 12:34:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Means 2005-01-24 14:52:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When i issue the command 'setfacl -R -m u:[user]:rwx /[directory]'
setfacl processes the entire filesystem.  I believe it is because
directory entries . and .. get processed and acted upon.  I do not
think this is the expected behavior at least it is not what I expect
to happen.

I am using jfs for my filesystem along with setfacl version 2.2.23
running under Fedora Core 3 with all updates applied.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. issue setfacl command with -R switch specifying a directory below
the root

Actual Results:  entire filesystem gets acl's applied to it

Expected Results:  only files contained in that directory and below
would have acl's modified

Additional info:
Comment 1 Thomas Woerner 2006-07-05 12:34:18 EDT
Please test this again with a newer Fedora Core version (>= 4) and reopen
against this version if the bug is still present.

Closing as "NOT A BUG" for now.

Note You need to log in before you can comment on or make changes to this bug.